﻿#target illustrator
#targetengine "session"   
dlgCopyAnchor =  new Window('palette', 'Copy Anchors',{x:100,y:100,width:100,height:50},{resizeable:true,closeButton:true,maximizeButton:true,minimizeButton:true});
dlgCopyAnchor.button = dlgCopyAnchor.add('button',{x:15,y:5,width:70,height:30},'Start');
//MoveAnchor();
dlgCopyAnchor.show();
dlgCopyAnchor.button.onClick = function(){
   var bt = new BridgeTalk();
   bt.target = "Illustrator";
   bt.body = "{\n"+
   "MoveAnchor();\n"+
   MoveAnchor.toString() + "\n"+ 
   "}\n";
    bt.onResult = function( resultMsg ) {
        //alert("Result = " + resultMsg.body);
     }
     bt.onError = function( errorMsg ) {
          alert("Error = " + errorMsg.body); 
     }
    bt.send();      
    }
function MoveAnchor()
{
   if ( documents.length > 0 && activeDocument.pathItems.length > 0 ){

	selObj = activeDocument.selection;

	if ( selObj.length == 2 &&
		selObj[ 0 ].typename == "PathItem" && selObj[ 1 ].typename == "PathItem" ){

		op = selObj[ 1 ].pathPoints;
		tp = selObj[ 0 ].pathPoints;
		tn = 0;

		for ( i = 0; i < op.length; i++ ){
			if ( op[ i ].selected == PathPointSelection.ANCHORPOINT ){
				while ( tn < tp.length ){
					if ( tp[ tn ].selected == PathPointSelection.ANCHORPOINT ){
                            x = tp[ tn ].anchor[0] - op[ i ].anchor[0];
                            y = tp[ tn ].anchor[1] - op[ i ].anchor[1];
						 tp[ tn ].anchor = op[ i ].anchor;
						 x1 = tp[ tn ].leftDirection[0]; y1 = tp[ tn ].leftDirection[1];
                            tp[ tn ].leftDirection = [x1-x,y1-y];
                            x1 = tp[ tn ].rightDirection[0]; y1 = tp[ tn ].rightDirection[1];
                            tp[ tn ].rightDirection = [x1-x,y1-y];
						tn++;
						break;
					}
					tn++;
				}
			}
			if ( tn >=  tp.length ) break;
		}

		redraw( );

        }
    }
}